# H0: p1 ==1/6
# H1: p1 !=1/6

10/36
1/6

P10 = dbinom(10,36,1/6)
P10

#valor-p es la suma de les mostres 

library(dplyr)

pmostra= tibble(
  k=0:36,
  pk=dbinom(k, 36, 1/6)
)

sum(filter(pmostra,pk<=P10)$pk)

#acabem de fer el test binomial
#equivalent a binom.test

test_ = binom.test(10,36,p=1/6)

test_$p.value
###EX###
mm=scan(text="b m t g g b t g t b b vm vm g vm vd b vd g g m t t
vd g vd m g t g t t vd vm g b t t b vm vm vm b vm
b b vm b g t vm g b t vd vd g vd g vm t vm g m b t
vd m vd vm vd g m m b t g g vm g vd vd b m t vm vd
t b vd vm g b t vm vm vm g vm g", what='character')
test_ = binom.test(sum(mm == 'm'),100,p=0.13)
test_

test_ = binom.test(sum(mm == 'm'),100,p=0.13, alternative ='less')
test_

test_ = binom.test(sum(mm == 'm'),100,p=0.13, alternative ='greater')
test_

## Contrast d’igualtat de proporcions
#tirem els dos daus 100 cops i veiem que al primer traiem 18 uns, mentre que en el segon en surten 10. Tenim evidències a favor que la probabilitat d’u és diferent en els dos daus?

P = matrix(c(18, 82,
             10, 90), ncol = 2, byrow = TRUE)
prop.test(P, correct = FALSE)
#Equivalents
chisq.test(P, correct = FALSE)

## Contrastos de mitjanes

library(dplyr)
library(readr)
wifi = read_csv('wifi.csv')

# H0: mu_cobertura = 32.46

summary(wifi$distancia.A)
summary(wifi$distancia.B)

# summarise_numeric = function(data, x){
#   summarise(data,
#             Mean = mean({{x}}, na.rm=TRUE),
#             Sd = sd({{x}}, na.rm=TRUE),
#             Min = min({{x}}, na.rm=TRUE),
#             Q1 = quantile({{x}}, probs = 0.25, na.rm=TRUE),
#             Median = median({{x}}, na.rm=TRUE),
#             Q3 = quantile({{x}}, probs = 0.75, na.rm=TRUE),
#             Max = max({{x}}, na.rm=TRUE)
#   )
# }
# 
# bind_rows(
#   'distancia.A' = summarise_numeric(wifi, distancia.A),
#   'distancia.B' = summarise_numeric(wifi, distancia.B), 
#   .id = 'Variable')
# 
# 
# boxplot(select(wifi, A = distancia.A, B = distancia.B), 
#         main = 'Distàncies obtingudes', horizontal = TRUE)


hist(wifi$distancia.A)

# mitjana +-
#     quantil alfa/2 de la tStuden
#         amb n-1 graus llib *
#desbiacio estandar/ arrel d'n

x= wifi$distancia.A
mean(x) + c(1,-1) * qt(0.025, 29) * sd(x) / sqrt(30)

xmeans = replicate(10000, mean(sample(x,30, replace=TRUE)))

quantile(xmeans, c(0.025, 0.975))

#H0: ES NORMAL 
#H1: NO ES NORMAL 
shapiro.test(wifi$distancia.A)

t.test(wifi$distancia.A, mu = 32.46, alternative = 'less')


shapiro.test(wifi$distancia.B)

t.test(wifi$distancia.B, mu = 32.46, alternative = 'less')

#cONTRAST COMPARACIO MITJANES

boxplot(wifi$distancia.A,wifi$distancia.B)

#Tenim un disseny aparellat? Si

wifi = mutate(wifi,
              diferencia = distancia.A - distancia.B)

#H0: mu_diferencia ==0
#H1: mu_diferencia !=0

shapiro.test(wifi$diferencia)
t.test(wifi$diferencia, mu=0)

#Tenim evidencies  per dir que la cobertura mitjana entre A i B es diferent (p-value = 0.02035)

#Disseny dades no aparellat

wifi_ind = tibble(
  distancia = c(wifi$distancia.A, wifi$distancia.B),
  pos=rep(c('A','B'),c(30,30))
  )

t.test(distancia~pos, data=wifi_ind, var.equal=TRUE)
t.test(distancia~pos, data=wifi_ind, var.equal=FALSE)

var.test(distancia~pos, data=wifi_ind)



######################################
# 1. crear una variable amb dos categories T3 i no T3
wifi = mutate(wifi,
              T3= if_else(models=="T3","T3=si","T3=no"))
# 2. decidir la normalitat dels dos grups
with(filter(wifi,T3=="T3=si"),shapiro.test(distancia.A))
with(filter(wifi,T3=="T3=no"),shapiro.test(distancia.A))

# 3. decidir sobre la variancia de distancia A|T3 o no T3
var.test(distancia.A~T3, data=wifi)

# 4. fer el contrast de dues mitjanes
t.test(distancia.A~T3, data=wifi, var.equal=TRUE)



t.test(distancia.A~T3, data=wifi, var.equal=TRUE, alternative='less')




